{
  "name": "qpls-md",
  "version": "2.0.0",
  "private": true,
  "scripts": {
    "report": "set npm_config_report=true && vue-cli-service build",
    "serve": "vue-cli-service serve",
    "dev": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "uat": "vue-cli-service build --mode preview",
    "pra": "vue-cli-service build --mode practice",
    "lint": "vue-cli-service lint",
    "lint:nofix": "vue-cli-service lint --no-fix",
    "test:unit": "vue-cli-service test:unit",
    "postinstall": "opencollective-postinstall"
  },
  "dependencies": {
    "ant-design-vue": "^1.7.1",
    "axios": "^0.19.0",
    "core-js": "2.6.9",
    "echarts": "^4.9.0",
    "enquire.js": "^2.1.6",
    "lodash.get": "^4.4.2",
    "lodash.pick": "^4.4.0",
    "md5": "^2.2.1",
    "mockjs2": "1.0.7",
    "moment": "^2.24.0",
    "nprogress": "^0.2.0",
    "screenfull": "^5.1.0",
    "v-runtime-template": "^1.10.0",
    "v-viewer": "^1.6.4",
    "vue": "^2.6.10",
    "vue-clipboard2": "^0.2.1",
    "vue-cookies": "^1.6.1",
    "vue-cropper": "0.4.9",
    "vue-ls": "^3.2.1",
    "vue-pdf-signature": "^4.2.6",
    "vue-qr": "^3.2.2",
    "vue-quill-editor": "^3.0.6",
    "vue-router": "^3.1.2",
    "vue-svg-component-runtime": "^1.0.1",
    "vue-video-player": "^5.0.2",
    "vue2.0-zoom": "^2.1.1",
    "vuescroll": "^4.17.3",
    "vuex": "^3.1.1",
    "wangeditor": "^3.1.1"
  },
  "devDependencies": {
    "@ant-design/colors": "^3.2.1",
    "@babel/polyfill": "7.2.5",
    "@vue/cli-plugin-babel": "^3.11.0",
    "@vue/cli-plugin-eslint": "^3.11.0",
    "@vue/cli-plugin-unit-jest": "^3.11.0",
    "@vue/cli-service": "^3.11.0",
    "@vue/eslint-config-standard": "^4.0.0",
    "@vue/test-utils": "^1.0.0-beta.20",
    "babel-core": "7.0.0-bridge.0",
    "babel-eslint": "^10.0.3",
    "babel-jest": "^23.6.0",
    "babel-plugin-import": "^1.11.0",
    "babel-plugin-transform-remove-console": "^6.9.4",
    "compression-webpack-plugin": "^2.0.0",
    "eslint": "^5.8.0",
    "eslint-plugin-html": "^5.0.0",
    "eslint-plugin-vue": "^5.2.3",
    "less": "3.9.0",
    "less-loader": "4.1.0",
    "opencollective": "^1.0.3",
    "opencollective-postinstall": "^2.0.2",
    "terser-webpack-plugin": "^4.2.3",
    "vue-svg-icon-loader": "^2.1.1",
    "vue-template-compiler": "^2.6.10",
    "webpack-bundle-analyzer": "^4.5.0",
    "webpack-theme-color-replacer": "^1.2.17",
    "webpack-version-plugin": "^2.0.3"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/strongly-recommended",
      "@vue/standard"
    ],
    "parserOptions": {
      "parser": "babel-eslint"
    },
    "rules": {
      "generator-star-spacing": "off",
      "no-mixed-operators": 0,
      "vue/max-attributes-per-line": [
        2,
        {
          "singleline": 5,
          "multiline": {
            "max": 1,
            "allowFirstLine": false
          }
        }
      ],
      "vue/attribute-hyphenation": 0,
      "vue/html-self-closing": 0,
      "vue/component-name-in-template-casing": 0,
      "vue/html-closing-bracket-spacing": 0,
      "vue/singleline-html-element-content-newline": 0,
      "vue/no-unused-components": 0,
      "vue/multiline-html-element-content-newline": 0,
      "vue/no-use-v-if-with-v-for": 0,
      "vue/html-closing-bracket-newline": 0,
      "vue/no-parsing-error": 0,
      "no-console": 0,
      "no-tabs": 0,
      "quotes": [
        2,
        "single",
        {
          "avoidEscape": true,
          "allowTemplateLiterals": true
        }
      ],
      "semi": [
        2,
        "never",
        {
          "beforeStatementContinuationChars": "never"
        }
      ],
      "no-delete-var": 2,
      "prefer-const": [
        2,
        {
          "ignoreReadBeforeAssign": false
        }
      ]
    }
  },
  "postcss": {
    "plugins": {
      "autoprefixer": {}
    }
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 10"
  ],
  "collective": {
    "type": "opencollective",
    "url": "https://opencollective.com/ant-design-pro-vue"
  }
}
